package server

import "net/http"

// Endpoints for the frontend rendering, not data the frontend might use
// Aka serves the static html and assets file needed for rendering the base frontend which will take over from there
// Later on, might also add endpoints for the simple and small frontend

// Mount under /notes/{id}
// Returns webview for notes
// Though maybe it also just returns the general ember export file and ember then renders the neeeded data
func notesWebFrontendHandler(w http.ResponseWriter, _ *http.Request) {
	http.Error(w, "not implemented yet", http.StatusInternalServerError)
}

// Mount under /@{id}
// Returns webview for accounts
func accountWebFrontendHandler(w http.ResponseWriter, _ *http.Request) {
	http.Error(w, "not implemented yet", http.StatusInternalServerError)
}
